Subject: RE: [Tsvwg] addip comments

From: [email-masked]
Date: Tue, 24 Jul 2001 22:52:31 +0300

Hi all again!

	Randall I have two comments about your answer... Here they go!

> Hmm.. I did not think of this... The limit additions to the
> INIT/INIT-ACK
> were via list suggestion... which seemed like a good idea at the time.
> 
> Now I wonder if it was such a good idea. Maybe it is better only
> allow the set primary in the INIT/INIT-ACK and make the limits
> come after the association is up.. Say bundle a ASCONF in the
> COOKIE-ECHO
> or COOKIE-ACK to get the limits right into effect... This would
> simplify things I think.. I don't know if I am willing to add a
> lot of complication to something that bundling an ASCONF into the
> second and third legs could accomplish...

	I would really vote for not sending any of these parameters in the
INIT/INIT ACK. The more I think about it, the more I believe this can mostly
produce headaches and almost nothing else. If you allow INIT/INIT ACK to
carry these parameters there are a lot of issues that should be solved...
:-0

	In any case, you must always go through the COOKIE ECHO/COOKIE ACK
phase, and I think we can easily live without having those stream
limit/primary ip effects in these two datagrams, so I strongly believe
that's the best option. Even, you could avoid quite a lot of wording and
gain a lot of "homogeneity" and simplicity if you don't even allow the
primary ip to be sent before the COOKIE ECHO... just inside ASCONF chunks...

> >         - Page 16. Section 4.1.1. Last Paragraph of the 
> section: Here it
> > says about what to do when receiving the "Unrecognized 
> Chunk Type", however,
> > when sending ip/stream parameters in the INIT we will receive an
> > "Unrecognized Parameters" parameter in the INIT ACK, and 
> when sending those
> > parameters in the INIT ACK chunk we will receive the "Unrecognized
> > Parameters" cause of error...
> > 
> 
> Hmm.. but this is about the ASCONF chunk not the parameters. I think
> there is wording (or should be) in each of the TLV discussion to
> tell you not to send something if you get an "unrecognized parameters"

	I have been taking a look again and I didn't find it... maybe I have
just skipped it, but I would say this is the only mention in the draft about
not sending anything else if we receive an "unrecognized something" (note
that there are several telling you to send it in case you don't understand
it)... In any case, my comment becomes obsolete if the addip/stream
parameters are not allowed to be sent inside INIT/INIT ACK chunks...

	Thanks for your time!

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Randall Stewart at work <[email-masked]>
Date: Wed, 25 Jul 2001 06:38:18 -0500

> parameters are not allowed to be sent inside INIT/INIT ACK chunks...

I think I will remove the stream parameter from the INIT/INIT-ACK these
make no sense to me. However.. the adding of addresses is already
there :) since this is nothing but an address list. The setting
of primary really cannot be refused or rejected... not understood
yes... but not rejected... If you understand it you don't have
to do it unless you want to. I don't think it is such a bad
idea to have this in the INIT/INIT-ACK so I will leave it :)

R

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)